### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-list/ecl-list.directive.ts`

### Implements

`DoCheck` `AfterContentInit`

### Metadata

Selector | `[eclDescriptionList]`

### Index

###### Properties
eclTagComponents
###### Inputs
isHorizontal isTaxonomy styleClass
###### HostBindings
class

### Constructor

`constructor(differs: IterableDiffers)`
Parameters :
Name | Type | Optional
differs | `IterableDiffers` | No

### Inputs

isHorizontal
Type : `boolean`
Default value : `false`

isTaxonomy
Type : `boolean`
Default value : `false`

styleClass
Type : `string`

### HostBindings

class
Type : `any`

### Properties

eclTagComponents
Type : `QueryList<EclTagComponent>`
Decorators : `@ContentChildren(undefined, {descendants: true})`

# result-matching ""

# No results matching ""